Markers

Markers represent a single discreet event in time. Markers have a scope, described by an enumerated type __itt_scope. Markers are created by the API call __itt_marker. A marker instance can be given an ID for use in adding metadata. More...

## Enumerations

enum | __itt_scope { __itt_scope_unknown = 0, __itt_scope_global, __itt_scope_track_group, __itt_scope_track, __itt_scope_task, __itt_scope_marker }
| Describes the scope of an event object in the trace. More...

## Functions

void ITTAPI | __itt_marker (const __itt_domain *domain, __itt_id id, __itt_string_handle *name, __itt_scope scope)
| Create a marker instance. More...
void ITTAPI | __itt_marker_ex (const __itt_domain *domain, __itt_clock_domain *clock_domain, unsigned long long timestamp, __itt_id id, __itt_string_handle *name, __itt_scope scope)
| Create a marker instance. More...

## Detailed Description

Markers represent a single discreet event in time. Markers have a scope, described by an enumerated type __itt_scope. Markers are created by the API call __itt_marker. A marker instance can be given an ID for use in adding metadata.

## Enumeration Type Documentation

## __itt_scope

enum __itt_scope

Describes the scope of an event object in the trace.

Enumerator
__itt_scope_unknown |
__itt_scope_global |
__itt_scope_track_group |
__itt_scope_track |
__itt_scope_task |
__itt_scope_marker |

Definition at line 2341 of file ittnotify.h.

{
__itt_scope_unknown = 0,
__itt_scope_global,
__itt_scope_track_group,
__itt_scope_track,
__itt_scope_task,
__itt_scope_marker
} __itt_scope;

## Function Documentation

## __itt_marker()

void ITTAPI __itt_marker | ( | const __itt_domain * | domain,
|  | __itt_id | id,
|  | __itt_string_handle * | name,
|  | __itt_scope | scope
| ) |  |

Create a marker instance.

Parameters

  [in] | domain | The domain for this marker
  [in] | id | The instance ID for this marker or __itt_null
  [in] | name | The name for this marker
  [in] | scope | The scope for this marker

## __itt_marker_ex()

void ITTAPI __itt_marker_ex | ( | const __itt_domain * | domain,
|  | __itt_clock_domain * | clock_domain,
|  | unsigned long long | timestamp,
|  | __itt_id | id,
|  | __itt_string_handle * | name,
|  | __itt_scope | scope
| ) |  |

Create a marker instance.

Parameters

  [in] | domain | The domain for this marker
  [in] | clock_domain | The clock domain controlling the execution of this call.
  [in] | timestamp | The user defined timestamp.
  [in] | id | The instance ID for this marker, or __itt_null
  [in] | name | The name for this marker
  [in] | scope | The scope for this marker

__itt_scope_unknown
Definition: ittnotify.h:2343
__itt_scope_track_group
Definition: ittnotify.h:2345
__itt_scope
__itt_scope
Describes the scope of an event object in the trace.
Definition: ittnotify.h:2341
__itt_scope_track
Definition: ittnotify.h:2346
__itt_scope_global
Definition: ittnotify.h:2344
__itt_scope_task
Definition: ittnotify.h:2347
__itt_scope_marker
Definition: ittnotify.h:2348

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.